--- title: "Create permission set" slug: "post-permission-set" updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/post-permission-set" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create permission set Available in Classic and VPC Create permission sets. By adding the System Managed and User Created policies of the Sub Account service to a permission set, the admin can create a bundle of permissions as desired. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/permission-sets | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `permissionSetName` | String | Required | Permission set name - Enter 2-30 characters by combining English letters, numbers, and special characters "-" and "_". - It must start with an English letter or a number. - It can't be changed after creation. | | `description` | String | Optional | Permission set description - 0-300 characters | | `systemManagedPolicyIds` | Array | Conditional | List of System Managed policy IDs - See [Get system managed policy list](/docs/en/get-policies). - Required when setting a system managed policy. - One or more system managed policies or user created policies must be entered, and up to 10 can be added in total. | | `userCreatedPolicyNames` | Array | Conditional | List of User Created policy names - Required when setting a user created policy. - One or more system managed policies or user created policies must be entered, and up to 10 can be added in total. | | `tags` | Object | Optional | Policy's tag - Up to 20 per resource. - Enter in the `{tagKey}:{tagValue}` format. - tagKey: Enter up to 128 characters by combining English letters, numbers, and special characters "*", ".", "/", "=", "+", "-", and "@".* - *tagValue: Enter up to 256 characters by combining English letters, numbers, and special characters "*", ".", "/", "=", "+", "-", and "@". | ### Request example The request example is as follows: ``` curl --location --request POST 'https://sso.apigw.ntruss.com/api/v1/permission-sets' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "permissionSetName": "permissionset000", "description": "description", "systemManagedPolicyIds": [ "3b773a30-****-****-****-246e96592200", "3b75b390-****-****-****-246e96592200" ], "userCreatedPolicyNames": [ "policy000" ], "tags": { "tagKey1": "tagValue1", "team": "a" } }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | String | - | Permission set ID | | `nrn` | String | - | NAVER Cloud Platform resource identification value for permission set | | `success` | Boolean | - | API processing result | ### Response status codes For information about the HTTP status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "id": "23ab7cb3-****-****-****-0b2222cb93e5", "nrn": "nrn:PUB:SSO::*******:PermissionSet/23ab7cb3-****-****-****-0b2222cb93e5", "success": true } ```